Bug 58840 - ghostview crops pages the wrong way
ghostview crops pages the wrong way
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gv (Show other bugs)
7.2
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-25 12:54 EST by Rene Uittenbogaard
Modified: 2007-03-26 23:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-22 11:16:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
simplified test postscript document which is rendered wrongly by gv (1.54 KB, application/postscript)
2002-01-25 12:56 EST, Rene Uittenbogaard
no flags Details
patch to fix landscape cropping problem with gv (with both ps and pdf files) (507 bytes, patch)
2003-06-23 21:42 EDT, John Bowman
no flags Details | Diff

  None (edit)
Description Rene Uittenbogaard 2002-01-25 12:54:46 EST
Description of Problem:
ghostview crops pages the wrong way

Version-Release number of selected component (if applicable):
gv-3.5.8-13

How Reproducible:
always

Steps to Reproduce:
gv fstab.ps

Actual Results:
text lines are cropped

Expected Results:
text ought not to be cropped - the text is entirely within the clipping path

Additional information:
changing the %%BoundingBox line at the top of the document (by swapping the 
length and width) or removing this line does not change the way the document is 
rendered. 'gs' displays the document correctly.
Comment 1 Rene Uittenbogaard 2002-01-25 12:56:42 EST
Created attachment 43497 [details]
simplified test postscript document which is rendered wrongly by gv
Comment 2 Bill Nottingham 2002-01-25 19:07:31 EST
It looks like it's getting the orientation wrong for some reason.
Comment 3 Craig Lawson 2002-03-15 23:07:12 EST
I think the problem is that fstab.ps was created with the page orientation as
"portrait", but with dimensions 11" wide x 8.5" high (landscape dimensions). Not
to suggest that gv shouldn't handle this case.

I have a similar but slightly different problem. I have a PDF file that looks
perfectly fine in the default display orientation, but is cropped badly when I
change the orientation. gv initially displays the document as 11" wide x 8.5"
high (landscape orientation), but tells me that the orientation is "Portrait".
If I use the menu to change the orientation to "Landscape", it rotates the image
90 degrees CW, but crops it badly. I want the image rotated so that I can print
it on my regular letter sized, portrait orientation paper, but gv crops away the
lower 2.5", which is not what I want.

So to summarize, the default orientation is shown as "portrait", the display
dimensions are 11w x 8.5h, and the crop is the same, which is good. When I
change the orientation to "landscape", the display dimensions are 8.5w x 11h,
and the crop is 8.5 x 8.5, which is bad.
I hesitate to attach my PDF to this bug because it is large (1.1 Mb). The PDF
was create on Win32 I'm not sure with what software, but I don't have it. I
tried to create a similar test case using StarOffice, but wasn't able to.
Comment 4 John Bowman 2003-06-23 21:42:41 EDT
Created attachment 92574 [details]
patch to fix landscape cropping problem with gv (with both ps and pdf files)

Another workaround is to simply add the option -g2x2 to the Device and/or
Antialias Device. The geometry 2x2 is arbitrary, but is sufficient to reset the
cropping region.
Comment 5 Rene Uittenbogaard 2003-11-26 05:06:56 EST
This workaround does not work for me (using version gv-3.5.8-18).
Pages are still cropped the wrong way.
Comment 6 Dan Williams 2005-04-22 11:16:23 EDT
RHL 7.2 is no longer supported, and due to inactivity this bug is being closed.

Note You need to log in before you can comment on or make changes to this bug.